[cvslog] (2004-04-09 18:31:47 UTC) Module eggdrop1.6: Change committed

cvslog cvs at tsss.org
Fri Apr 9 12:31:47 CST 2004


CVSROOT    : /usr/local/cvsroot
Module     : eggdrop1.6
Commit time: 2004-04-09 18:31:47 UTC
Commited by: Will Buckner <wcc at techmonkeys.org>

Modified files:
     Makefile.in misc/releaseprep

Log message:

* More releaseprep changes.

---------------------- diff included ----------------------
Index: eggdrop1.6/Makefile.in
diff -u eggdrop1.6/Makefile.in:1.35 eggdrop1.6/Makefile.in:1.36
--- eggdrop1.6/Makefile.in:1.35	Wed Dec 10 13:04:49 2003
+++ eggdrop1.6/Makefile.in	Fri Apr  9 13:31:37 2004
@@ -2,7 +2,7 @@
 #  This is the Makefile for EGGDROP (the IRC bot)
 #  You should never need to edit this.
 #
-# $Id: Makefile.in,v 1.35 2003/12/10 19:04:49 wcc Exp $
+# $Id: Makefile.in,v 1.36 2004/04/09 18:31:37 wcc Exp $
 
 SHELL = @SHELL@
 top_srcdir = @top_srcdir@
@@ -137,17 +137,8 @@
 	@rm -f config.cache config.log config.status config.h lush.h
 	@rm -rf autom4te.cache
 
-distrib: distclean
-	@rm -f `find . \( -name '*~' -o -name '*#' -o -name '*.orig' \
-		-o -name '*.rej' -o -name '*.bak' \) -print`
-	@rm -rf `find . \( -name 'CVS' \) -print`
-	@(echo "all:"; \
-	echo "	@echo \"\""; \
-	echo "	@echo \"Before you can compile your bot you have to configure it.\""; \
-	echo "	@echo \"Please start the configure script now:\""; \
-	echo "	@echo \"\""; \
-	echo "	@echo \" % ./configure\""; \
-	echo "	@echo \"\""; ) > Makefile
+distrib:
+	misc/releaseprep
 
 depend:
 	@cat /dev/null > lush.h
Index: eggdrop1.6/misc/releaseprep
diff -u eggdrop1.6/misc/releaseprep:1.2 eggdrop1.6/misc/releaseprep:1.3
--- eggdrop1.6/misc/releaseprep:1.2	Fri Apr  9 13:06:18 2004
+++ eggdrop1.6/misc/releaseprep	Fri Apr  9 13:31:37 2004
@@ -1,68 +1,84 @@
-#! /bin/sh
-#
-# releaseprep - prepares the tree for release
-#
-# Copyright (C) 2004 Eggheads Development Team
-#
-# This file is free software; you can redistribute it and/or modify it
-# under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-# General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-#
-# As a special exception to the GNU General Public License, if you
-# distribute this file as part of a program that contains a
-# configuration script generated by Autoconf, you may include it under
-# the same distribution terms that you use for the rest of that program.
-#
-# $Id: releaseprep,v 1.2 2004/04/09 18:06:18 wcc Exp $
-
-if test ! -f src/main.c; then
-	echo "You are not in the Eggdrop root directory."
-	exit 1
-fi
-
-# Change default make from "debug" to "eggdrop"...
-echo -n "Changing default make..."
-cat configure | sed 's/DEFAULT_MAKE="debug"/DEFAULT_MAKE="eggdrop"/g' > configure_
-cat aclocal.m4 | sed 's/DEFAULT_MAKE="debug"/DEFAULT_MAKE="eggdrop"/g' > aclocal.m4_
-mv configure_ configure
-mv aclocal.m4_ aclocal.m4
-echo " done."
-
-# Fix patch.h...
-echo -n "Fixing patch.h..."
-cat src/patch.h | sed 's/^patch.*/\/* PATCH GOES HERE *\//g' > src/patch.h_
-mv src/patch.h_ src/patch.h
-echo " done."
-
-# Remove CVS dirs.
-echo -n "Removing CVS directories..."
-find ./ -name CVS -print | xargs rm -rf
-echo " done."
-
-# Remove .cvsignores.
-echo -n "Removing .cvsignore files..."
-find ./ -name .cvsignore -print | xargs rm -f
-echo " done."
-
-# Remove doc/web_docs/
-if test -d ./doc/web_docs; then
-	echo -n "Removing doc/web_docs/..."
-	rm -rf doc/web_docs
-	echo " done."
-fi
-
-# make distclean
-echo "Running make distclean..."
-sh configure >/dev/null && make distclean >/dev/null
-
-echo "Complete."
+#! /bin/sh
+#
+# releaseprep - prepares the tree for release
+#
+# Copyright (C) 2004 Eggheads Development Team
+#
+# This file is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+# As a special exception to the GNU General Public License, if you
+# distribute this file as part of a program that contains a
+# configuration script generated by Autoconf, you may include it under
+# the same distribution terms that you use for the rest of that program.
+#
+# $Id: releaseprep,v 1.3 2004/04/09 18:31:37 wcc Exp $
+
+if test ! -f src/main.c; then
+	echo "You are not in the Eggdrop root directory."
+	exit 1
+fi
+
+# Change default make from "debug" to "eggdrop"...
+echo -n "Changing default make..."
+cat configure | sed 's/DEFAULT_MAKE="debug"/DEFAULT_MAKE="eggdrop"/g' > configure_
+cat aclocal.m4 | sed 's/DEFAULT_MAKE="debug"/DEFAULT_MAKE="eggdrop"/g' > aclocal.m4_
+mv configure_ configure
+mv aclocal.m4_ aclocal.m4
+echo " done."
+
+# Fix patch.h...
+echo -n "Fixing patch.h..."
+cat src/patch.h | sed 's/^patch.*/\/* PATCH GOES HERE *\//g' > src/patch.h_
+mv src/patch.h_ src/patch.h
+echo " done."
+
+# Remove CVS dirs.
+echo -n "Removing CVS directories..."
+find ./ -name CVS -print | xargs rm -rf
+echo " done."
+
+# Remove .cvsignores.
+echo -n "Removing .cvsignore files..."
+find ./ -name .cvsignore -print | xargs rm -f
+echo " done."
+
+# Remove doc/web_docs/
+if test -d ./doc/web_docs; then
+	echo -n "Removing doc/web_docs/..."
+	rm -rf doc/web_docs
+	echo " done."
+fi
+
+# make distclean
+echo ""
+echo "Running make distclean."
+sh configure >/dev/null && make distclean >/dev/null
+echo ""
+
+# Create Makefile.
+echo "Creating Makefile..."
+cat << '_EOF' > Makefile
+all:
+	@echo ""
+	@echo "Before you can compile your bot you have to configure it."
+	@echo "Please start the configure script now:"
+	@echo ""
+	@echo " % ./configure"
+	@echo ""
+
+_EOF
+echo " done."
+
+echo "Complete."
----------------------- End of diff -----------------------



More information about the Changes mailing list